-- Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity design_1 is
  Port ( 
    Clk_0 : in STD_LOGIC;
    DEBUG_0_capture : in STD_LOGIC;
    DEBUG_0_disable : in STD_LOGIC;
    DEBUG_0_reg_en : in STD_LOGIC_VECTOR ( 0 to 7 );
    DEBUG_0_rst : in STD_LOGIC;
    DEBUG_0_shift : in STD_LOGIC;
    DEBUG_0_tdi : in STD_LOGIC;
    DEBUG_0_tdo : out STD_LOGIC;
    DEBUG_0_update : in STD_LOGIC;
    DLMB_0_abus : out STD_LOGIC_VECTOR ( 0 to 31 );
    DLMB_0_addrstrobe : out STD_LOGIC;
    DLMB_0_be : out STD_LOGIC_VECTOR ( 0 to 3 );
    DLMB_0_ce : in STD_LOGIC;
    DLMB_0_readdbus : in STD_LOGIC_VECTOR ( 0 to 31 );
    DLMB_0_readstrobe : out STD_LOGIC;
    DLMB_0_ready : in STD_LOGIC;
    DLMB_0_ue : in STD_LOGIC;
    DLMB_0_wait : in STD_LOGIC;
    DLMB_0_writedbus : out STD_LOGIC_VECTOR ( 0 to 31 );
    DLMB_0_writestrobe : out STD_LOGIC;
    ILMB_0_abus : out STD_LOGIC_VECTOR ( 0 to 31 );
    ILMB_0_addrstrobe : out STD_LOGIC;
    ILMB_0_ce : in STD_LOGIC;
    ILMB_0_readdbus : in STD_LOGIC_VECTOR ( 0 to 31 );
    ILMB_0_readstrobe : out STD_LOGIC;
    ILMB_0_ready : in STD_LOGIC;
    ILMB_0_ue : in STD_LOGIC;
    ILMB_0_wait : in STD_LOGIC;
    INTERRUPT_0_ack : out STD_LOGIC_VECTOR ( 0 to 1 );
    INTERRUPT_0_address : in STD_LOGIC_VECTOR ( 0 to 31 );
    INTERRUPT_0_interrupt : in STD_LOGIC;
    Reset_0 : in STD_LOGIC
  );

end design_1;

architecture stub of design_1 is
attribute syn_black_box : boolean;
attribute black_box_pad_pin : string;
attribute syn_black_box of stub : architecture is true;
begin
end;
