set_property SRC_FILE_INFO {cfile:Y:/microblaze/project_1/project_1/project_1.srcs/sources_1/bd/design_1/design_1_ooc.xdc rfile:Y:/microblaze/project_1/project_1/project_1.srcs/sources_1/bd/design_1/design_1_ooc.xdc id:1 order:EARLY rxprname:$PSRCDIR/sources_1/bd/design_1/design_1_ooc.xdc} [current_design]
set_property SRC_FILE_INFO {cfile:y:/microblaze/project_1/project_1/project_1.srcs/sources_1/bd/design_1/ip/design_1_microblaze_0_0/design_1_microblaze_0_0.xdc rfile:y:/microblaze/project_1/project_1/project_1.srcs/sources_1/bd/design_1/ip/design_1_microblaze_0_0/design_1_microblaze_0_0.xdc id:2 order:EARLY scoped_inst:microblaze_0/U0 rxprname:$PSRCDIR/sources_1/bd/design_1/ip/design_1_microblaze_0_0/design_1_microblaze_0_0.xdc} [current_design]
set_property src_info {type:XDC file:1 line:1 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
################################################################################
set_property src_info {type:XDC file:1 line:2 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]

set_property src_info {type:XDC file:1 line:3 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
# This XDC is used only for OOC mode of synthesis, implementation
set_property src_info {type:XDC file:1 line:4 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
# This constraints file contains default clock frequencies to be used during
set_property src_info {type:XDC file:1 line:5 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
# out-of-context flows such as OOC Synthesis and Hierarchical Designs.
set_property src_info {type:XDC file:1 line:6 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
# This constraints file is not used in normal top-down synthesis (default flow
set_property src_info {type:XDC file:1 line:7 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
# of Vivado)
set_property src_info {type:XDC file:1 line:8 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
################################################################################
set_property src_info {type:XDC file:1 line:9 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
create_clock -period 10.000 -name Clk_0 [get_ports Clk_0]
set_property src_info {type:XDC file:1 line:11 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]

set_property src_info {type:XDC file:1 line:12 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]
################################################################################
set_property src_info {type:XDC file:1 line:13 export:INPUT save:INPUT read:FILTER_OUT_OF_CONTEXT} [current_design]

set_property src_info {type:SCOPED_XDC file:2 line:1 export:INPUT save:INPUT read:READ} [current_design]
set_false_path -through [get_ports Reset_0]
set_property src_info {type:SCOPED_XDC file:2 line:2 export:INPUT save:INPUT read:READ} [current_design]
set_false_path -through [get_ports INTERRUPT_0_interrupt]
set_property src_info {type:SCOPED_XDC file:2 line:7 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:SCOPED_XDC file:2 line:8 export:INPUT save:INPUT read:READ} [current_design]
# Waiver for asynchronous reset
set_property src_info {type:SCOPED_XDC file:2 line:11 export:INPUT save:INPUT read:READ} [current_design]

set_property src_info {type:SCOPED_XDC file:2 line:12 export:INPUT save:INPUT read:READ} [current_design]
# Waivers for debug interface
set_property src_info {type:SCOPED_XDC file:2 line:196 export:INPUT save:INPUT read:READ} [current_design]

current_instance microblaze_0/U0
set_property src_info {type:SCOPED_XDC file:2 line:175 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-1} -user "microblaze" -desc "Debug protocol ensures stable signals" -internal -from [list [get_pins { microblaze_0/U0/MicroBlaze_Core_I/Reset_DFF/Synchronize.use_sync_reset.sync_reg[1]/D }]] -to { *PIN } -timestamp "Tue Jul 30 16:05:44 GMT 2019"
set_property src_info {type:SCOPED_XDC file:2 line:9 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-10} -user "microblaze" -desc "Asynchronous reset" -internal -to [get_pins -quiet {MicroBlaze_Core_I/Reset_DFF/Synchronize.use_sync_reset.sync_reg[1]/D}] -timestamp "Tue Jul 30 16:05:44 GMT 2019"
set_property src_info {type:SCOPED_XDC file:2 line:178 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-10} -user "microblaze" -desc "Debug protocol ensures stable signals" -internal -from [list [get_pins { microblaze_0/U0/MicroBlaze_Core_I/Reset_DFF/Synchronize.use_sync_reset.sync_reg[1]/D }]] -to { *PIN } -timestamp "Tue Jul 30 16:05:44 GMT 2019"
set_property src_info {type:SCOPED_XDC file:2 line:181 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-13} -user "microblaze" -desc "Debug protocol ensures stable signals" -internal -from [list [get_pins { microblaze_0/U0/MicroBlaze_Core_I/Reset_DFF/Synchronize.use_sync_reset.sync_reg[1]/D }]] -to { *PIN } -timestamp "Tue Jul 30 16:05:44 GMT 2019"
set_property src_info {type:SCOPED_XDC file:2 line:184 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-13} -user "microblaze" -desc "Debug protocol ensures stable signals" -internal -from { *PIN }pblock_microblaze_0  -timestamp "Tue Jul 30 16:05:44 GMT 2019"
set_property src_info {type:SCOPED_XDC file:2 line:187 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-15} -user "microblaze" -desc "Debug protocol ensures stable signals" -internal -from [list [get_pins { microblaze_0/U0/MicroBlaze_Core_I/Reset_DFF/Synchronize.use_sync_reset.sync_reg[1]/D }]] -to { *PIN } -timestamp "Tue Jul 30 16:05:44 GMT 2019"
set_property src_info {type:SCOPED_XDC file:2 line:5 export:INPUT save:INPUT read:READ} [current_design]
create_waiver -type CDC -id {CDC-26} -user "microblaze" -desc "Invalid LUTRAM collision warning" -internal -to [get_pins -quiet MicroBlaze_Core_I/*Interrupt_DFF/Single_Synchronize.use_sync_reset.sync_reg/D] -timestamp "Tue Jul 30 16:05:44 GMT 2019"
